respond = require '../../responses'


module.exports = (Resource) ->
  (req, res) ->
    schema = {}
    for path, definition of Resource.model.schema.paths
      continue if path.pyslice(0, -3) in ['_id', '__v']
      schema[path] = {}
      schema[path].type = definition.instance
      for key, value of definition.options
        if value instanceof RegExp
          value = "#{value}"
        schema[path][key] = value if key != 'type'
    res.send 200, schema
