respond = require '../../responses'


module.exports = (Api) ->
  (req, res) ->
    endpoints = {}
    for resource in Api._resources
      name = resource.model.modelName
      endpoints[name] = {}
      endpoints[name].collection = { http_method: 'GET', endpoint: "#{Api.path}#{resource.collection_path}" }
      endpoints[name].document = { http_method: 'GET', endpoint: "#{Api.path}#{resource.document_path}" }
      endpoints[name].create = { http_method: 'POST', endpoint: "#{Api.path}#{resource.collection_path}" }
      endpoints[name].update = { http_method: 'PUT', endpoint: "#{Api.path}#{resource.document_path}" }
      endpoints[name].destroy = { http_method: 'DELETE', endpoint: "#{Api.path}#{resource.document_path}" }
      endpoints[name].schema = { http_method: 'GET', endpoint: "#{Api.path}#{resource.collection_path}/schema" }
    respond.ok(res, endpoints)
