###
  add additional methods to String object
###

# starts_with
if (typeof String::starts_with != 'function')
  String::starts_with = (str) ->
    @.slice(0, str.length) == str


# ends_with
if typeof String::ends_with != 'function'
  String::ends_with = (str) ->
    @.slice(-str.length) == str


# pyslice : operates like string slicing in python... because i wanted to... fuck javascript
if typeof String::pyslice != 'function'
  String::pyslice = (start, stop, step) ->
    str = JSON.parse(JSON.stringify @)
    if !start?
      start = 0
    if !stop?
      stop = @.length
    if !step?
      step = 1
    str = str.slice start, stop
    _str = ''
    for char in str by step
      _str += char
    _str


module.exports.Api = require './api'
module.exports.Resource = require './resource'
module.exports.Responses = require './responses'
