module.exports = {

# 20x
  ok: (res, body) ->
    res.send 200, body

  created: (res, body) ->
    res.send 201, body

  no_content: (res) ->
    res.send 204, ''

# 40x
  bad_request: (res, err_message) ->
    res.send 400, { error: err_message }

  unauthorized: (res, err_message) ->
    res.send 401, { error: err_message }

  forbidden: (res, err_message) ->
    res.send 403, { error: err_message }

  not_found: (res, err_message) ->
    res.send 404, { error: err_message }

  not_acceptable: (res, err_message) ->
    res.send 406, { error: err_message }

  conflict: (res, err_message) ->
    res.send 409, { error: err_message }

# 50x
  server_error: (res, error) ->
    console.log "500 Error: #{error.message}"
    console.log error.stack
    res.send 500, { error: 'Internal Error' }

}
