express = require 'express'
body_parser = require 'body-parser'
method_override = require 'method-override'

mongoose = require 'mongoose'
mongoose.connect 'mongodb://localhost:27017/fulton-func-tests'

app = express()
app.use body_parser()
app.use method_override()
app.set 'port', 3000

auth_app = express()
auth_app.use body_parser()
auth_app.use method_override()
auth_app.set 'port', 3001


module.exports.app = app
module.exports.auth_app = auth_app
